gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Scrolling.HScrollbar

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A horizontal scrollbar

Synopsis

- data HScrollbar
- class ScrollbarClass o => HScrollbarClass o
- castToHScrollbar :: GObjectClass obj => obj -> HScrollbar
- gTypeHScrollbar :: GType
- toHScrollbar :: HScrollbarClass o => o -> HScrollbar
- hScrollbarNew :: Adjustment -> IO HScrollbar
- hScrollbarNewDefaults :: IO HScrollbar

# Detail

The `HScrollbar` widget is a widget arranged horizontally creating a scrollbar. See `Scrollbar` for details on scrollbars. An `Adjustment` may be added to handle the adjustment of the scrollbar using `hScrollbarNew` or you can use `hScrollbarNewDefaults` in which case one will be created for you. See `Adjustment` for details.

All interesting functions can be found in `Range`, from which it is derived.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Range
    | +----Scrollbar
    | +----HScrollbar

# Types

data HScrollbar Source #

#### Instances

Instances details

Eq HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: HScrollbar -> HScrollbar -> Bool Source # (/=) :: HScrollbar -> HScrollbar -> Bool Source #
Ord HScrollbar Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: HScrollbar -> HScrollbar -> Ordering Source #

(<) :: HScrollbar -> HScrollbar -> Bool Source #

(<=) :: HScrollbar -> HScrollbar -> Bool Source #

(>) :: HScrollbar -> HScrollbar -> Bool Source #

(>=) :: HScrollbar -> HScrollbar -> Bool Source #

max :: HScrollbar -> HScrollbar -> HScrollbar Source #

min :: HScrollbar -> HScrollbar -> HScrollbar Source #

GObjectClass HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: HScrollbar -> GObject Source # unsafeCastGObject :: GObject -> HScrollbar Source #
HScrollbarClass HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
RangeClass HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ScrollbarClass HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ScrollbarClass o => HScrollbarClass o Source #

#### Instances

Instances details

HScrollbarClass HScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToHScrollbar :: GObjectClass obj => obj -> HScrollbar Source #

gTypeHScrollbar :: GType Source #

toHScrollbar :: HScrollbarClass o => o -> HScrollbar Source #

# Constructors

hScrollbarNew Source #

Arguments

:: Adjustment | `adjustment` - the `Adjustment` to use.
-> IO HScrollbar |

Creates a new horizontal scrollbar.

hScrollbarNewDefaults :: IO HScrollbar Source #

Create a new HScrollbar without specifying an existing `Adjustment`. A new one will be created instead.